---
title: list-team-project-flag-settings
product: vercel
url: /docs/rest-api/feature-flags/list-team-project-flag-settings
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-team-project-flag-settings on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List team project flag settings

```http
GET /v1/teams/{teamId}/feature-flags/settings
```

Retrieve feature flag settings for projects in a team.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | Yes | The Team identifier to perform the request on behalf of. |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer. min: 1; max: 100; default: 20 | No | Maximum number of settings to return. |
| `cursor` | string | No | Pagination cursor to continue from. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "oneOf": [
    {
      "type": "object"
    },
    {
      "type": "object",
      "required": [
        "data",
        "pagination"
      ],
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "description": "Syncs direct the synchronization of Flags to Edge Configs",
            "required": [
              "enabled",
              "entities",
              "environments",
              "metadata",
              "projectId",
              "typeName"
            ],
            "properties": {
              "typeName": {
                "type": "string",
                "enum": [
                  "settings"
                ]
              },
              "projectId": {
                "type": "string"
              },
              "ownerId": {
                "type": "string"
              },
              "enabled": {
                "type": "boolean",
                "enum": [
                  false,
                  true
                ]
              },
              "environments": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "connections": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "edgeConfigId",
                    "edgeConfigItemKey"
                  ],
                  "properties": {
                    "edgeConfigId": {
                      "type": "string"
                    },
                    "edgeConfigItemKey": {
                      "type": "string"
                    }
                  }
                }
              },
              "entities": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "attributes",
                    "kind",
                    "label"
                  ],
                  "properties": {
                    "kind": {
                      "type": "string"
                    },
                    "label": {
                      "type": "string"
                    },
                    "attributes": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "key",
                          "type"
                        ],
                        "properties": {
                          "key": {
                            "type": "string"
                          },
                          "type": {
                            "type": "string"
                          },
                          "labels": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "required": [
                                "label",
                                "value"
                              ],
                              "properties": {
                                "label": {
                                  "type": "string"
                                },
                                "value": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              },
              "createdAt": {
                "type": "number"
              },
              "updatedAt": {
                "type": "number"
              },
              "metadata": {
                "type": "object",
                "required": [
                  "activeFlagCount",
                  "archivedFlagCount",
                  "packSizeInBytes",
                  "segmentCount"
                ],
                "properties": {
                  "activeFlagCount": {
                    "type": "number"
                  },
                  "archivedFlagCount": {
                    "type": "number"
                  },
                  "segmentCount": {
                    "type": "number"
                  },
                  "packSizeInBytes": {
                    "type": "number"
                  },
                  "packRevision": {
                    "type": "number"
                  },
                  "configUpdatedAt": {
                    "type": "number"
                  }
                }
              }
            }
          }
        },
        "pagination": {
          "type": "object",
          "required": [
            "next"
          ],
          "properties": {
            "next": {
              "type": "string",
              "nullable": true
            }
          }
        }
      }
    }
  ]
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

---

## Related

- [feature-flags endpoints](/docs/rest-api#feature-flags)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
